import { declareRequest } from "@cqsjjb/jjb-dva-runtime";

export const firstLevelDoorInfoList = declareRequest(
  "firstLevelDoorInfoLoading",
  `Post > @/primeport/mkmj/list`,
);
export const firstLevelDoorInfoListAll = declareRequest(
  "firstLevelDoorInfoLoading",
  `Get > /primeport/mkmj/listAll`,
);
export const firstLevelDoorInfoAdd = declareRequest(
  "firstLevelDoorInfoLoading",
  `Post > @/primeport/mkmj/save`,
);
export const firstLevelDoorInfoEdit = declareRequest(
  "firstLevelDoorInfoLoading",
  `Put > @/primeport/mkmj/edit`,
);
export const firstLevelDoorInfoDelete = declareRequest(
  "firstLevelDoorInfoLoading",
  `Delete > @/primeport/mkmj/{id}`,
);
export const firstLevelDoorInfoEditStatus = declareRequest(
  "firstLevelDoorInfoLoading",
  `Put > @/primeport/mkmj/editStatus`,
);
export const firstLevelDoorInfoInfo = declareRequest(
  "firstLevelDoorInfoLoading",
  `Get > /primeport/mkmj/{id}`,
);
export const firstLevelDoorInfoCheckName = declareRequest(
  "firstLevelDoorInfoLoading",
  `Get > /primeport/mkmj/check-name`,
);
export const firstLevelDoorInfoCameraList = declareRequest(
  "firstLevelDoorInfoCameraLoading",
  `Post > @/primeport/video/list`,
);
export const firstLevelDoorInfoCameraDelete = declareRequest(
  "firstLevelDoorInfoCameraLoading",
  `Delete > @/primeport/video/{id}`,
);
export const firstLevelDoorInfoCameraAdd = declareRequest(
  "firstLevelDoorInfoCameraLoading",
  `Post > @/primeport/video/save`,
);
export const firstLevelDoorInfoCameraEdit = declareRequest(
  "firstLevelDoorInfoCameraLoading",
  `Put > @/primeport/video/edit`,
);
export const firstLevelDoorInfoCameraInfo = declareRequest(
  "firstLevelDoorInfoCameraLoading",
  `Get > /primeport/video/{id}`,
);
export const firstLevelDoorInfoFixedCameraList = declareRequest(
  "firstLevelDoorInfoChannelLoading",
  `Post > @/videopatrol/fixedCamera/list`,
);
export const firstLevelDoorInfoFixedCameraInfo = declareRequest(
  "fixedCameraLoading",
  `Get > /videopatrol/fixedCamera/{id}`,
);
export const firstLevelDoorInfoFixedCameraGetPlayUrl = declareRequest(
  "fixedCameraLoading",
  `Get > /videopatrol/fixedCamera/getPlayUrl?indexCode={indexCode}`,
);
export const firstLevelDoorInfoChannelList = declareRequest(
  "firstLevelDoorInfoChannelLoading",
  `Post > @/primeport/mkmjPassage/list`,
);
export const firstLevelDoorInfoChannelDelete = declareRequest(
  "firstLevelDoorInfoChannelLoading",
  `Delete > @/primeport/mkmjPassage/{id}`,
);
export const firstLevelDoorInfoChannelAdd = declareRequest(
  "firstLevelDoorInfoChannelLoading",
  `Post > @/primeport/mkmjPassage/save`,
);
export const firstLevelDoorInfoChannelEdit = declareRequest(
  "firstLevelDoorInfoChannelLoading",
  `Put > @/primeport/mkmjPassage/edit`,
);
export const firstLevelDoorInfoChannelInfo = declareRequest(
  "firstLevelDoorInfoChannelLoading",
  `Get > /primeport/mkmjPassage/{id}`,
);
export const firstLevelDoorInfoChannelCheckName = declareRequest(
  "firstLevelDoorInfoChannelLoading",
  `Get > /primeport/mkmjPassage/check-name`,
);
export const firstLevelDoorInfoFareGateList = declareRequest(
  "firstLevelDoorInfoFareGateLoading",
  `Post > @/primeport/mkmjGate/list`,
);
export const firstLevelDoorInfoFareGateDelete = declareRequest(
  "firstLevelDoorInfoFareGateLoading",
  `Delete > @/primeport/mkmjGate/{id}`,
);
export const firstLevelDoorInfoFareGateAdd = declareRequest(
  "firstLevelDoorInfoFareGateLoading",
  `Post > @/primeport/mkmjGate/save`,
);
export const firstLevelDoorInfoFareGateEdit = declareRequest(
  "firstLevelDoorInfoFareGateLoading",
  `Put > @/primeport/mkmjGate/edit`,
);
export const firstLevelDoorInfoFareGateInfo = declareRequest(
  "firstLevelDoorInfoFareGateLoading",
  `Get > /primeport/mkmjGate/{id}`,
);
export const firstLevelDoorInfoFareGateCheckName = declareRequest(
  "firstLevelDoorInfoFareGateLoading",
  `Get > /primeport/mkmjGate/check-name`,
);
